Cards, prop trading & accounting

Repair Rain User Id

Fetches a card from Rain to recover the correct Rain user ID and rewrites the local mismatched ID.

POSThttps://api.toku.com/hris/repair-rain-user-id

Not available to API keys yet. It will need cards:write.

curl --request POST \
  --url 'https://api.toku.com/hris/repair-rain-user-id' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "rainCardId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
200 response
{
  "success": true,
  "correctRainUserId": "string",
  "wasUpdated": true,
  "previousUserId": "string",
  "message": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

rainCardIdstring<uuid>required

Response

200Successful response
successbooleanrequired
correctRainUserIdstringrequired
wasUpdatedbooleanrequired
previousUserIdstring
messagestringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits